<?php
    $t_url=$_GET['url'];
    if (!$t_url) {
		$url='../';
		$title='链接错误，正在返回……';
    } else if ($t_url) {
	preg_match('/(http|https):\/\//',$t_url,$zr1);
	preg_match('/\./i',$t_url,$zr2);
    if ($zr1) {
	$url=$t_url;
	$title='页面跳转中，请稍候……';
    } else if ($zr2) {
	$url='http://'.$t_url;
	$title='页面跳转中，请稍候……';
    }
    } else {
		$title='链接错误，正在返回……';
		$url='../';
    }
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="robots" content="noindex, nofollow" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0, minimum-scale=1.0, maximum-scale=1.0">
<noscript>
<meta http-equiv="refresh" content="1;url='<?php echo $url; ?>';">
</noscript>
<script>
function link_jump()
{
    var MyHOST = new RegExp("<?php echo $_SERVER['HTTP_HOST']; ?>");
    if (!MyHOST.test(document.referrer)) {
         location.href="http://" + MyHOST;
    }
    location.href="<?php echo $url;?>";
}
setTimeout(link_jump, 1500);
setTimeout(function(){window.opener=null;window.close();}, 50000);
</script>
<title><?php echo $title;?></title>
<style type="text/css">
body{background:#fff}

.qjdh_no6 {
    transform:scale(1) translateY(-30px);
}
.qjdh_no6>div:nth-child(2) {
    -webkit-animation-delay:-.4s;
    animation-delay:-.4s
}
.qjdh_no6>div:nth-child(3) {
    -webkit-animation-delay:-.2s;
    animation-delay:-.2s
}
.qjdh_no6>div {
    position:absolute;
    top:0;
    left:-30px;
    margin:2px;
    margin:0;
    width:15px;
    width:60px;
    height:15px;
    height:60px;
    border-radius:100%;
    background-color:#ff3cb2;
    opacity:0;
    -webkit-animation-fill-mode:both;
    animation-fill-mode:both;
    -webkit-animation:ball-scale-multiple 1s .5s linear infinite;
    animation:ball-scale-multiple 1s .5s linear infinite
}
@-webkit-keyframes ball-scale-multiple {
    0% {
        opacity:0;
        -webkit-transform:scale(0);
        transform:scale(0)
    }
    5% {
        opacity:1
    }
    to {
        -webkit-transform:scale(1);
        transform:scale(1)
    }
}
@keyframes ball-scale-multiple {
    0%, to {
        opacity:0
    }
    0% {
        -webkit-transform:scale(0);
        transform:scale(0)
    }
    5% {
        opacity:1
    }
    to {
        opacity:0;
        -webkit-transform:scale(1);
        transform:scale(1)
    }
}	

@keyframes ball-s {
    0%, to {
        opacity:0;
        transform:scale(0)
    }
    to {
        opacity:1;
        transform:scale(1)
    }
}

@keyframes ball-s2 {
    0% {
        opacity:0;
    }30% {
        opacity:0;
    }
    to {
        opacity:1;
    }
}
</style>
</head>
<body>

        <div style="position:fixed;animation:ball-s .5s 0s ease-out;top:-60px;left:0;bottom:0;right:0;display:flex;align-items:center;justify-content:center">
			    <div class="qjdh_no6">
			        <div></div>
			        <div></div>
			        <div></div>
			    </div> 
        </div>
			  <div style="position:fixed;top:60px;left:0;bottom:0;color: #f156b4;animation:ball-s2 .8s cubic-bezier(0.36, 0.29, 0.62, 1.36);right:0;display:flex;align-items:center;justify-content:center;">正在跳转目标网站...</div>

</body>
</html>